#!/bin/sh

set -e
[ "$DEBUG" = true ] && set -x

SRC_DIR=$(pwd)/freetype

BLD=MSVC-Static
GENERATOR='NMake Makefiles'
BLD_CMD=nmake

INS_DIR=${SRC_DIR}/Install-$BLD-${PROCESSOR_ARCHITECTURE}
BLD_DIR=${SRC_DIR}/Build-$BLD-${PROCESSOR_ARCHITECTURE}

CMAKE_FLAGS="-DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=OFF"

rm -fr ${SRC_DIR}/Deps/
mkdir -p ${SRC_DIR}/Deps/Include ${SRC_DIR}/Deps/Lib

if grep "Patched-MSVC-CMake" "${SRC_DIR}/CMakeLists.txt" ; then
	echo "Already Patched CMake."
else
	cat Patches/msvc.patch >> "${SRC_DIR}/CMakeLists.txt"
fi

mkdir -p ${BLD_DIR}
cd ${BLD_DIR}
cmake -G "$GENERATOR" -DCMAKE_INSTALL_PREFIX="$INS_DIR" $CMAKE_FLAGS ..
cp ${SRC_DIR}/include/freetype/config/ftconfig.h ${BLD_DIR}/include/freetype/config/ftconfig.h
touch ${BLD_DIR}/include/freetype/config/ftconfig.h

${BLD_CMD} && ${BLD_CMD} install
