#!/bin/sh

set -e
[ "$DEBUG" = true ] && set -x

SRC_DIR=$(pwd)/physfs

BLD=MSVC-Static
GENERATOR='NMake Makefiles'
BLD_CMD=nmake

INS_DIR=${SRC_DIR}/Install-$BLD-${PROCESSOR_ARCHITECTURE}
BLD_DIR=${SRC_DIR}/Build-$BLD-${PROCESSOR_ARCHITECTURE}

CMAKE_FLAGS="-DCMAKE_BUILD_TYPE=Release -DSHARED=OFF -DBUILD_SHARED_LIBS=OFF"

rm -fr ${SRC_DIR}/Deps/
mkdir -p ${SRC_DIR}/Deps/Include ${SRC_DIR}/Deps/Lib

mkdir -p ${BLD_DIR}
cd ${BLD_DIR}
cmake -G "$GENERATOR" -DCMAKE_INSTALL_PREFIX="$INS_DIR" $CMAKE_FLAGS ..

${BLD_CMD} && ${BLD_CMD} install
